Bug 914151 - libtommath: FTBFS in rawhide
libtommath: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtommath (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:41 EST by Dennis Gilmore
Modified: 2013-06-29 14:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: libtommath-0.41-16.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 22:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SPEC file patch (4.13 KB, patch)
2013-06-06 11:11 EDT, Simone Caronni
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-02-22 04:41:33 EST
Your package libtommath failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4967053

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7053/4967053/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7053/4967053/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7053/4967053/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-04-03 11:12:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Simone Caronni 2013-06-06 11:11:04 EDT
Created attachment 757723 [details]
SPEC file patch
Comment 3 Simone Caronni 2013-06-06 11:11:43 EDT
Hello,

I've asked you privately to become owner of libttommath as you've kindly granted me on libtomcrypt.

The attached patch fixes this bug and enables building correctly on el6, Fedora 17, 18, 19 and rawhide.

This package is needed to build libtomcrypt on el6 and I don't want to fix el6 without fixing the other branches first.

Thanks & regards.
--Simone
Comment 4 Fedora Admin XMLRPC Client 2013-06-11 06:17:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2013-06-11 07:14:51 EDT
libtommath-0.41-16.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtommath-0.41-16.fc19
Comment 6 Fedora Update System 2013-06-11 07:15:19 EDT
libtommath-0.41-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtommath-0.41-16.fc18
Comment 7 Fedora Update System 2013-06-11 07:15:38 EDT
libtommath-0.41-16.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libtommath-0.41-16.fc17
Comment 8 Fedora Update System 2013-06-11 22:35:10 EDT
Package libtommath-0.41-16.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtommath-0.41-16.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10597/libtommath-0.41-16.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-06-19 22:28:04 EDT
libtommath-0.41-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-06-19 22:28:57 EDT
libtommath-0.41-16.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-06-29 14:02:31 EDT
libtommath-0.41-16.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.